console.warn("Script Loaded ")
import {
  world,
  ItemStack,
  ObjectiveSortOrder,
  DisplaySlotId,
  ItemLockMode,
  system
} from "@minecraft/server";
import {
  ModalFormData
} from "@minecraft/server-ui";

const AllItems = [
  "minecraft:light_gray_wool", "minecraft:light_weighted_pressure_plate", "minecraft:lightning_rod", "minecraft:lime_candle", "minecraft:lime_carpet", "minecraft:lime_concrete", "minecraft:lime_concrete_powder", "minecraft:lime_dye", "minecraft:lime_glazed_terracotta", "minecraft:lime_shulker_box",
  "minecraft:lime_stained_glass", "minecraft:lime_stained_glass_pane", "minecraft:lime_terracotta", "minecraft:lime_wool", "minecraft:lingering_potion", "minecraft:lit_pumpkin", "minecraft:llama_spawn_egg", "minecraft:lodestone", "minecraft:lodestone_compass", "minecraft:log",
  "minecraft:log2", "minecraft:loom", "minecraft:magenta_candle", "minecraft:magenta_carpet", "minecraft:magenta_concrete", "minecraft:magenta_concrete_powder", "minecraft:magenta_dye", "minecraft:magenta_glazed_terracotta", "minecraft:magenta_shulker_box", "minecraft:magenta_stained_glass",
  "minecraft:magenta_stained_glass_pane", "minecraft:magenta_terracotta", "minecraft:magenta_wool", "minecraft:magma", "minecraft:magma_cream", "minecraft:magma_cube_spawn_egg", "minecraft:mangrove_boat", "minecraft:mangrove_button", "minecraft:mangrove_chest_boat", "minecraft:mangrove_door",
  "minecraft:mangrove_fence", "minecraft:mangrove_fence_gate", "minecraft:mangrove_hanging_sign", "minecraft:mangrove_leaves", "minecraft:mangrove_log", "minecraft:mangrove_planks", "minecraft:mangrove_pressure_plate", "minecraft:mangrove_propagule", "minecraft:mangrove_roots", "minecraft:mangrove_sign",
  "minecraft:mangrove_slab", "minecraft:mangrove_stairs", "minecraft:mangrove_trapdoor", "minecraft:mangrove_wood", "minecraft:medium_amethyst_bud", "minecraft:melon_block", "minecraft:melon_seeds", "minecraft:melon_slice", "minecraft:milk_bucket", "minecraft:minecart", "minecraft:miner_pottery_sherd",
  "minecraft:mob_spawner", "minecraft:mojang_banner_pattern", "minecraft:monster_egg", "minecraft:mooshroom_spawn_egg", "minecraft:moss_block", "minecraft:moss_carpet", "minecraft:mossy_cobblestone", "minecraft:mossy_cobblestone_stairs", "minecraft:mossy_stone_brick_stairs", "minecraft:mourner_pottery_sherd",
  "minecraft:mud", "minecraft:mud_brick_slab", "minecraft:mud_brick_stairs", "minecraft:mud_brick_wall", "minecraft:mud_bricks", "minecraft:muddy_mangrove_roots", "minecraft:mule_spawn_egg", "minecraft:mushroom_stew", "minecraft:music_disc_11", "minecraft:music_disc_13", "minecraft:music_disc_5",
  "minecraft:music_disc_blocks", "minecraft:music_disc_cat", "minecraft:music_disc_chirp", "minecraft:music_disc_far", "minecraft:music_disc_mall", "minecraft:music_disc_mellohi", "minecraft:music_disc_otherside", "minecraft:music_disc_pigstep", "minecraft:music_disc_relic", "minecraft:music_disc_stal",
  "minecraft:music_disc_strad", "minecraft:music_disc_wait", "minecraft:music_disc_ward", "minecraft:mutton", "minecraft:mycelium", "minecraft:name_tag", "minecraft:nautilus_shell", "minecraft:nether_brick", "minecraft:nether_brick_fence", "minecraft:nether_brick_stairs", "minecraft:nether_gold_ore",
  "minecraft:nether_sprouts", "minecraft:nether_star", "minecraft:nether_wart", "minecraft:nether_wart_block", "minecraft:netherbrick", "minecraft:netherite_axe", "minecraft:netherite_block", "minecraft:netherite_boots", "minecraft:netherite_chestplate", "minecraft:netherite_helmet", "minecraft:netherite_hoe",
  "minecraft:netherite_ingot", "minecraft:netherite_leggings", "minecraft:netherite_pickaxe", "minecraft:netherite_scrap", "minecraft:netherite_shovel", "minecraft:netherite_sword", "minecraft:netherite_upgrade_smithing_template", "minecraft:netherrack", "minecraft:normal_stone_stairs", "minecraft:noteblock",
  "minecraft:oak_boat", "minecraft:oak_chest_boat", "minecraft:oak_fence", "minecraft:oak_hanging_sign", "minecraft:oak_log", "minecraft:oak_planks", "minecraft:oak_sign", "minecraft:oak_stairs", "minecraft:observer", "minecraft:obsidian", "minecraft:ocelot_spawn_egg", "minecraft:ochre_froglight",
  "minecraft:orange_candle", "minecraft:orange_carpet", "minecraft:orange_concrete", "minecraft:orange_concrete_powder", "minecraft:orange_dye", "minecraft:orange_glazed_terracotta", "minecraft:orange_shulker_box", "minecraft:orange_stained_glass", "minecraft:orange_stained_glass_pane", "minecraft:orange_terracotta",
  "minecraft:orange_wool", "minecraft:oxidized_chiseled_copper", "minecraft:oxidized_copper", "minecraft:oxidized_copper_bulb", "minecraft:oxidized_copper_door", "minecraft:oxidized_copper_grate", "minecraft:oxidized_copper_trapdoor", "minecraft:oxidized_cut_copper", "minecraft:oxidized_cut_copper_slab",
  "minecraft:oxidized_cut_copper_stairs", "minecraft:packed_ice", "minecraft:packed_mud", "minecraft:painting", "minecraft:panda_spawn_egg", "minecraft:paper", "minecraft:parrot_spawn_egg", "minecraft:pearlescent_froglight", "minecraft:phantom_membrane", "minecraft:phantom_spawn_egg", "minecraft:pig_spawn_egg",
  "minecraft:piglin_banner_pattern", "minecraft:piglin_brute_spawn_egg", "minecraft:piglin_spawn_egg", "minecraft:pillager_spawn_egg", "minecraft:pink_candle", "minecraft:pink_carpet", "minecraft:pink_concrete", "minecraft:pink_concrete_powder", "minecraft:pink_dye", "minecraft:pink_glazed_terracotta",
  "minecraft:pink_petals", "minecraft:pink_shulker_box", "minecraft:pink_stained_glass", "minecraft:pink_stained_glass_pane", "minecraft:pink_terracotta", "minecraft:pink_wool", "minecraft:piston", "minecraft:pitcher_plant", "minecraft:pitcher_pod", "minecraft:planks", "minecraft:plenty_pottery_sherd",
  "minecraft:podzol", "minecraft:pointed_dripstone", "minecraft:poisonous_potato", "minecraft:polar_bear_spawn_egg", "minecraft:polished_andesite", "minecraft:polished_andesite_stairs", "minecraft:polished_basalt", "minecraft:polished_blackstone", "minecraft:polished_blackstone_brick_slab", "minecraft:polished_blackstone_brick_stairs",
  "minecraft:polished_blackstone_brick_wall", "minecraft:polished_blackstone_bricks", "minecraft:polished_blackstone_button", "minecraft:polished_blackstone_pressure_plate", "minecraft:polished_blackstone_slab", "minecraft:polished_blackstone_stairs", "minecraft:polished_blackstone_wall", "minecraft:polished_deepslate",
  "minecraft:polished_deepslate_slab", "minecraft:polished_deepslate_stairs", "minecraft:polished_deepslate_wall", "minecraft:polished_diorite", "minecraft:polished_diorite_stairs", "minecraft:polished_granite", "minecraft:polished_granite_stairs", "minecraft:polished_tuff", "minecraft:polished_tuff_slab", "minecraft:polished_tuff_stairs",
  "minecraft:polished_tuff_wall", "minecraft:popped_chorus_fruit", "minecraft:porkchop", "minecraft:potato", "minecraft:potion", "minecraft:powder_snow_bucket", "minecraft:prismarine", "minecraft:prismarine_bricks_stairs", "minecraft:prismarine_crystals", "minecraft:prismarine_shard", "minecraft:prismarine_stairs",
  "minecraft:prize_pottery_sherd", "minecraft:pufferfish", "minecraft:pufferfish_bucket", "minecraft:pufferfish_spawn_egg", "minecraft:pumpkin", "minecraft:pumpkin_pie", "minecraft:pumpkin_seeds", "minecraft:purple_candle", "minecraft:purple_carpet", "minecraft:purple_concrete", "minecraft:purple_concrete_powder",
  "minecraft:purple_dye", "minecraft:purple_glazed_terracotta", "minecraft:purple_shulker_box", "minecraft:purple_stained_glass", "minecraft:purple_stained_glass_pane", "minecraft:purple_terracotta", "minecraft:purple_wool", "minecraft:purpur_block", "minecraft:purpur_stairs", "minecraft:quartz", "minecraft:quartz_block",
  "minecraft:quartz_bricks", "minecraft:quartz_ore", "minecraft:quartz_stairs", "minecraft:rabbit", "minecraft:rabbit_foot", "minecraft:rabbit_hide", "minecraft:rabbit_spawn_egg", "minecraft:rabbit_stew", "minecraft:rail", "minecraft:raiser_armor_trim_smithing_template", "minecraft:ravager_spawn_egg",
  "minecraft:raw_copper", "minecraft:raw_copper_block", "minecraft:raw_gold", "minecraft:raw_gold_block", "minecraft:raw_iron", "minecraft:raw_iron_block", "minecraft:recovery_compass", "minecraft:red_candle", "minecraft:red_carpet", "minecraft:red_concrete", "minecraft:red_concrete_powder",
  "minecraft:red_dye", "minecraft:red_flower", "minecraft:red_glazed_terracotta", "minecraft:red_mushroom", "minecraft:red_mushroom_block", "minecraft:red_nether_brick", "minecraft:red_nether_brick_stairs", "minecraft:red_sandstone", "minecraft:red_sandstone_stairs", "minecraft:red_shulker_box", "minecraft:red_stained_glass",
  "minecraft:red_stained_glass_pane", "minecraft:red_terracotta", "minecraft:red_wool", "minecraft:redstone", "minecraft:redstone_block", "minecraft:redstone_lamp", "minecraft:redstone_ore", "minecraft:redstone_torch", "minecraft:reinforced_deepslate", "minecraft:repeater", "minecraft:repeating_command_block",
  "minecraft:respawn_anchor", "minecraft:rib_armor_trim_smithing_template", "minecraft:rotten_flesh", "minecraft:saddle", "minecraft:salmon", "minecraft:salmon_bucket", "minecraft:salmon_spawn_egg", "minecraft:sand", "minecraft:sandstone", "minecraft:sandstone_stairs", "minecraft:sapling", "minecraft:scaffolding",
  "minecraft:sculk", "minecraft:sculk_catalyst", "minecraft:sculk_sensor", "minecraft:sculk_shrieker", "minecraft:sculk_vein", "minecraft:sea_lantern", "minecraft:sea_pickle", "minecraft:seagrass", "minecraft:sentry_armor_trim_smithing_template", "minecraft:shaper_armor_trim_smithing_template", "minecraft:sheaf_pottery_sherd", "minecraft:shears", "minecraft:sheep_spawn_egg",
  "minecraft:shelter_pottery_sherd", "minecraft:shield", "minecraft:shroomlight", "minecraft:shulker_box", "minecraft:shulker_shell", "minecraft:shulker_spawn_egg", "minecraft:silence_armor_trim_smithing_template", "minecraft:silver_glazed_terracotta", "minecraft:silverfish_spawn_egg", "minecraft:skeleton_horse_spawn_egg", "minecraft:skeleton_spawn_egg", "minecraft:skull",
  "minecraft:skull_banner_pattern", "minecraft:skull_pottery_sherd", "minecraft:slime", "minecraft:slime_ball", "minecraft:slime_spawn_egg", "minecraft:small_amethyst_bud", "minecraft:small_dripleaf_block", "minecraft:smithing_table", "minecraft:smoker", "minecraft:smooth_basalt", "minecraft:smooth_quartz_stairs", "minecraft:smooth_red_sandstone_stairs", "minecraft:smooth_sandstone_stairs", "minecraft:smooth_stone",
  "minecraft:sniffer_egg", "minecraft:sniffer_spawn_egg", "minecraft:snort_pottery_sherd", "minecraft:snout_armor_trim_smithing_template", "minecraft:snow", "minecraft:snow_golem_spawn_egg", "minecraft:snow_layer", "minecraft:snowball", "minecraft:soul_campfire", "minecraft:soul_lantern", "minecraft:soul_sand", "minecraft:soul_soil", "minecraft:soul_torch", "minecraft:spawn_egg",
  "minecraft:spider_eye", "minecraft:spider_spawn_egg", "minecraft:spire_armor_trim_smithing_template", "minecraft:splash_potion", "minecraft:sponge", "minecraft:spore_blossom", "minecraft:spruce_boat", "minecraft:spruce_button", "minecraft:spruce_chest_boat", "minecraft:spruce_door", "minecraft:spruce_fence", "minecraft:spruce_fence_gate", "minecraft:spruce_hanging_sign", "minecraft:spruce_log",
  "minecraft:spruce_planks", "minecraft:spruce_pressure_plate", "minecraft:spruce_sign", "minecraft:spruce_stairs", "minecraft:spruce_trapdoor", "minecraft:spyglass", "minecraft:squid_spawn_egg", "minecraft:stained_glass", "minecraft:stained_glass_pane", "minecraft:stained_hardened_clay", "minecraft:stick", "minecraft:sticky_piston", "minecraft:stone", "minecraft:stone_axe", "minecraft:stone_block_slab", "minecraft:stone_block_slab2",
  "minecraft:stone_block_slab3", "minecraft:stone_block_slab4", "minecraft:stone_brick_stairs", "minecraft:stone_button", "minecraft:stone_hoe", "minecraft:stone_pickaxe", "minecraft:stone_pressure_plate", "minecraft:stone_shovel", "minecraft:stone_stairs", "minecraft:stone_sword", "minecraft:stonebrick", "minecraft:stonecutter_block", "minecraft:stray_spawn_egg", "minecraft:strider_spawn_egg", "minecraft:string",
  "minecraft:stripped_acacia_log", "minecraft:stripped_bamboo_block", "minecraft:stripped_birch_log", "minecraft:stripped_cherry_log", "minecraft:stripped_cherry_wood", "minecraft:stripped_crimson_hyphae", "minecraft:stripped_crimson_stem", "minecraft:stripped_dark_oak_log", "minecraft:stripped_jungle_log", "minecraft:stripped_mangrove_log", "minecraft:stripped_mangrove_wood", "minecraft:stripped_oak_log",
  "minecraft:stripped_spruce_log", "minecraft:stripped_warped_hyphae", "minecraft:stripped_warped_stem", "minecraft:structure_block",
  "minecraft:structure_void", "minecraft:sugar", "minecraft:sugar_cane", "minecraft:suspicious_gravel", "minecraft:suspicious_sand",
  "minecraft:suspicious_stew", "minecraft:sweet_berries", "minecraft:tadpole_bucket", "minecraft:tadpole_spawn_egg", "minecraft:tallgrass",
  "minecraft:target", "minecraft:tide_armor_trim_smithing_template", "minecraft:tinted_glass", "minecraft:tnt", "minecraft:tnt_minecart",
  "minecraft:torch", "minecraft:torchflower", "minecraft:torchflower_seeds", "minecraft:totem_of_undying", "minecraft:trader_llama_spawn_egg",
  "minecraft:trapdoor", "minecraft:trapped_chest", "minecraft:trial_key", "minecraft:trial_spawner", "minecraft:trident", "minecraft:tripwire_hook",
  "minecraft:tropical_fish", "minecraft:tropical_fish_bucket", "minecraft:tropical_fish_spawn_egg", "minecraft:tube_coral", "minecraft:tuff",
  "minecraft:tuff_brick_slab", "minecraft:tuff_brick_stairs", "minecraft:tuff_brick_wall", "minecraft:tuff_bricks", "minecraft:tuff_slab",
  "minecraft:tuff_stairs", "minecraft:tuff_wall", "minecraft:turtle_egg", "minecraft:turtle_helmet", "minecraft:turtle_scute",
  "minecraft:turtle_spawn_egg", "minecraft:twisting_vines", "minecraft:undyed_shulker_box", "minecraft:verdant_froglight",
  "minecraft:vex_armor_trim_smithing_template", "minecraft:vex_spawn_egg", "minecraft:villager_spawn_egg", "minecraft:vindicator_spawn_egg",
  "minecraft:vine", "minecraft:wandering_trader_spawn_egg", "minecraft:ward_armor_trim_smithing_template", "minecraft:warden_spawn_egg",
  "minecraft:warped_button", "minecraft:warped_door", "minecraft:warped_fence", "minecraft:warped_fence_gate", "minecraft:warped_fungus",
  "minecraft:warped_fungus_on_a_stick", "minecraft:warped_hanging_sign", "minecraft:warped_hyphae", "minecraft:warped_nylium",
  "minecraft:warped_planks", "minecraft:warped_pressure_plate", "minecraft:warped_roots", "minecraft:warped_sign", "minecraft:warped_slab",
  "minecraft:warped_stairs", "minecraft:warped_stem", "minecraft:warped_trapdoor", "minecraft:warped_wart_block", "minecraft:water_bucket",
  "minecraft:waterlily", "minecraft:waxed_chiseled_copper", "minecraft:waxed_copper", "minecraft:waxed_copper_bulb", "minecraft:waxed_copper_door",
  "minecraft:waxed_copper_grate", "minecraft:waxed_copper_trapdoor", "minecraft:waxed_cut_copper", "minecraft:waxed_cut_copper_slab",
  "minecraft:waxed_cut_copper_stairs", "minecraft:waxed_exposed_chiseled_copper", "minecraft:waxed_exposed_copper",
  "minecraft:waxed_exposed_copper_bulb", "minecraft:waxed_exposed_copper_door", "minecraft:waxed_exposed_copper_grate",
  "minecraft:waxed_exposed_copper_trapdoor", "minecraft:waxed_exposed_cut_copper", "minecraft:waxed_exposed_cut_copper_slab",
  "minecraft:waxed_exposed_cut_copper_stairs", "minecraft:waxed_oxidized_chiseled_copper", "minecraft:waxed_oxidized_copper",
  "minecraft:waxed_oxidized_copper_bulb", "minecraft:waxed_oxidized_copper_door", "minecraft:waxed_oxidized_copper_grate",
  "minecraft:waxed_oxidized_copper_trapdoor", "minecraft:waxed_oxidized_cut_copper", "minecraft:waxed_oxidized_cut_copper_slab",
  "minecraft:waxed_oxidized_cut_copper_stairs", "minecraft:waxed_weathered_chiseled_copper", "minecraft:waxed_weathered_copper",
  "minecraft:waxed_weathered_copper_bulb", "minecraft:waxed_weathered_copper_door", "minecraft:waxed_weathered_copper_grate",
  "minecraft:waxed_weathered_copper_trapdoor", "minecraft:waxed_weathered_cut_copper", "minecraft:waxed_weathered_cut_copper_slab",
  "minecraft:waxed_weathered_cut_copper_stairs", "minecraft:wayfinder_armor_trim_smithing_template", "minecraft:weathered_chiseled_copper",
  "minecraft:weathered_copper", "minecraft:weathered_copper_bulb", "minecraft:weathered_copper_door", "minecraft:weathered_copper_grate",
  "minecraft:weathered_copper_trapdoor", "minecraft:weathered_cut_copper", "minecraft:weathered_cut_copper_slab", "minecraft:weathered_cut_copper_stairs",
  "minecraft:web", "minecraft:weeping_vines", "minecraft:wheat", "minecraft:wheat_seeds", "minecraft:white_candle", "minecraft:white_carpet",
  "minecraft:white_concrete", "minecraft:white_concrete_powder", "minecraft:white_dye", "minecraft:white_glazed_terracotta", "minecraft:white_shulker_box",
  "minecraft:white_stained_glass", "minecraft:white_stained_glass_pane", "minecraft:white_terracotta", "minecraft:white_wool", "minecraft:wild_armor_trim_smithing_template",
  "minecraft:witch_spawn_egg", "minecraft:wither_rose", "minecraft:wither_skeleton_spawn_egg", "minecraft:wither_spawn_egg", "minecraft:wolf_armor",
  "minecraft:wolf_spawn_egg", "minecraft:wood", "minecraft:wooden_axe", "minecraft:wooden_button", "minecraft:wooden_door", "minecraft:wooden_hoe",
  "minecraft:wooden_pickaxe", "minecraft:wooden_pressure_plate", "minecraft:wooden_shovel", "minecraft:wooden_slab", "minecraft:wooden_sword",
  "minecraft:wool", "minecraft:writable_book", "minecraft:yellow_candle", "minecraft:yellow_carpet", "minecraft:yellow_concrete", "minecraft:yellow_concrete_powder",
  "minecraft:yellow_dye", "minecraft:yellow_flower", "minecraft:yellow_glazed_terracotta", "minecraft:yellow_shulker_box", "minecraft:yellow_stained_glass",
  "minecraft:yellow_stained_glass_pane", "minecraft:yellow_terracotta", "minecraft:yellow_wool", "minecraft:zoglin_spawn_egg",
  "minecraft:zombie_horse_spawn_egg", "minecraft:zombie_pigman_spawn_egg", "minecraft:zombie_spawn_egg", "minecraft:zombie_villager_spawn_egg",
  "minecraft:acacia_boat", "minecraft:acacia_button", "minecraft:acacia_chest_boat", "minecraft:acacia_door", "minecraft:acacia_fence",
  "minecraft:acacia_fence_gate", "minecraft:acacia_hanging_sign", "minecraft:acacia_log", "minecraft:acacia_planks", "minecraft:acacia_pressure_plate",
  "minecraft:acacia_sign", "minecraft:acacia_stairs", "minecraft:acacia_trapdoor", "minecraft:activator_rail", "minecraft:allay_spawn_egg",
  "minecraft:allow", "minecraft:amethyst_block", "minecraft:amethyst_cluster", "minecraft:amethyst_shard", "minecraft:ancient_debris",
  "minecraft:andesite", "minecraft:andesite_stairs", "minecraft:angler_pottery_sherd", "minecraft:anvil", "minecraft:apple", "minecraft:archer_pottery_sherd",
  "minecraft:armadillo_scute", "minecraft:armadillo_spawn_egg", "minecraft:armor_stand", "minecraft:arms_up_pottery_sherd", "minecraft:arrow",
  "minecraft:axolotl_bucket", "minecraft:axolotl_spawn_egg", "minecraft:azalea", "minecraft:azalea_leaves", "minecraft:azalea_leaves_flowered",
  "minecraft:baked_potato", "minecraft:bamboo", "minecraft:bamboo_block", "minecraft:bamboo_button", "minecraft:bamboo_chest_raft", "minecraft:bamboo_door",
  "minecraft:bamboo_fence", "minecraft:bamboo_fence_gate", "minecraft:bamboo_hanging_sign", "minecraft:bamboo_mosaic", "minecraft:bamboo_mosaic_slab",
  "minecraft:bamboo_mosaic_stairs", "minecraft:bamboo_planks", "minecraft:bamboo_pressure_plate", "minecraft:bamboo_raft", "minecraft:bamboo_sign",
  "minecraft:bamboo_slab", "minecraft:bamboo_stairs", "minecraft:bamboo_trapdoor", "minecraft:banner", "minecraft:banner_pattern", "minecraft:barrel",
  "minecraft:barrier", "minecraft:basalt", "minecraft:bat_spawn_egg", "minecraft:beacon", "minecraft:bed", "minecraft:bedrock", "minecraft:bee_nest",
  "minecraft:bee_spawn_egg", "minecraft:beef", "minecraft:beehive", "minecraft:beetroot", "minecraft:beetroot_seeds", "minecraft:beetroot_soup",
  "minecraft:bell", "minecraft:big_dripleaf", "minecraft:birch_boat", "minecraft:birch_button", "minecraft:birch_chest_boat", "minecraft:birch_door",
  "minecraft:birch_fence", "minecraft:birch_fence_gate", "minecraft:birch_hanging_sign", "minecraft:birch_log", "minecraft:birch_planks",
  "minecraft:birch_pressure_plate", "minecraft:birch_sign", "minecraft:birch_stairs", "minecraft:birch_trapdoor", "minecraft:black_candle",
  "minecraft:black_carpet", "minecraft:black_concrete", "minecraft:black_concrete_powder", "minecraft:black_dye", "minecraft:black_glazed_terracotta",
  "minecraft:black_shulker_box", "minecraft:black_stained_glass", "minecraft:black_stained_glass_pane", "minecraft:black_terracotta",
  "minecraft:black_wool", "minecraft:blackstone", "minecraft:blackstone_slab", "minecraft:blackstone_stairs", "minecraft:blackstone_wall",
  "minecraft:blade_pottery_sherd", "minecraft:blast_furnace", "minecraft:blaze_powder", "minecraft:blaze_rod", "minecraft:blaze_spawn_egg",
  "minecraft:blue_candle", "minecraft:blue_carpet", "minecraft:blue_concrete", "minecraft:blue_concrete_powder", "minecraft:blue_dye",
  "minecraft:blue_glazed_terracotta", "minecraft:blue_ice", "minecraft:blue_shulker_box", "minecraft:blue_stained_glass", "minecraft:blue_stained_glass_pane",
  "minecraft:blue_terracotta", "minecraft:blue_wool", "minecraft:boat", "minecraft:bone", "minecraft:bone_block", "minecraft:bone_meal", "minecraft:book",
  "minecraft:bookshelf", "minecraft:border_block", "minecraft:bordure_indented_banner_pattern", "minecraft:bow", "minecraft:bowl", "minecraft:brain_coral",
  "minecraft:bread", "minecraft:breeze_spawn_egg", "minecraft:brewer_pottery_sherd", "minecraft:brewing_stand", "minecraft:brick", "minecraft:brick_block",
  "minecraft:brick_stairs", "minecraft:brown_candle", "minecraft:brown_carpet", "minecraft:brown_concrete", "minecraft:brown_concrete_powder",
  "minecraft:brown_dye", "minecraft:brown_glazed_terracotta", "minecraft:brown_mushroom", "minecraft:brown_mushroom_block", "minecraft:brown_shulker_box",
  "minecraft:brown_stained_glass", "minecraft:brown_stained_glass_pane", "minecraft:brown_terracotta", "minecraft:brown_wool", "minecraft:bubble_coral",
  "minecraft:bubble_coral_block", "minecraft:bubble_coral_fan", "minecraft:bubble_coral_wall_fan", "minecraft:buckwheat", "minecraft:bud_pottery_sherd",
  "minecraft:buffet_chest", "minecraft:bundle", "minecraft:cactus", "minecraft:cactus_green", "minecraft:cake", "minecraft:calcite", "minecraft:calcium_carbonate",
  "minecraft:calcium_oxide", "minecraft:calcium_phosphate", "minecraft:camera", "minecraft:campfire", "minecraft:candle", "minecraft:carrot", "minecraft:carrot_on_a_stick",
  "minecraft:cartography_table", "minecraft:carved_pumpkin", "minecraft:carved_watermelon", "minecraft:cat_spawn_egg", "minecraft:cauldron", "minecraft:cave_spider_spawn_egg",
  "minecraft:cave_vines", "minecraft:cave_vines_plant", "minecraft:cave_vines_with_berries", "minecraft:cave_vines_with_berries_plant", "minecraft:chain",
  "minecraft:chain_command_block", "minecraft:chainmail_boots", "minecraft:chainmail_chestplate", "minecraft:chainmail_helmet", "minecraft:chainmail_leggings",
  "minecraft:chalk", "minecraft:charcoal", "minecraft:charged_creeper_spawn_egg", "minecraft:chest", "minecraft:chest_minecart", "minecraft:chicken",
  "minecraft:chicken_spawn_egg", "minecraft:chiseled_deepslate", "minecraft:chiseled_nether_bricks", "minecraft:chiseled_polished_blackstone",
  "minecraft:chiseled_quartz_block", "minecraft:chiseled_red_sandstone", "minecraft:chiseled_sandstone", "minecraft:chiseled_stone_bricks",
  "minecraft:chorus_flower", "minecraft:chorus_fruit", "minecraft:chorus_plant", "minecraft:clay", "minecraft:clay_ball", "minecraft:clock",
  "minecraft:clownfish", "minecraft:clownfish_bucket", "minecraft:clownfish_spawn_egg", "minecraft:coal", "minecraft:coal_block", "minecraft:coal_ore",
  "minecraft:coarse_dirt", "minecraft:cobblestone", "minecraft:cobblestone_slab", "minecraft:cobblestone_stairs", "minecraft:cobblestone_wall",
  "minecraft:cobweb", "minecraft:cocoa_beans", "minecraft:cocoa", "minecraft:cog", "minecraft:collar_pottery_sherd", "minecraft:command_block",
  "minecraft:command_block_minecart", "minecraft:comparator", "minecraft:compass", "minecraft:composter", "minecraft:concrete", "minecraft:conduit",
  "minecraft:cooked_beef", "minecraft:cooked_chicken", "minecraft:cooked_cod", "minecraft:cooked_mutton", "minecraft:cooked_porkchop", "minecraft:cooked_rabbit",
  "minecraft:cooked_salmon", "minecraft:cookie", "minecraft:copper_block", "minecraft:copper_ingot", "minecraft:copper_ore", "minecraft:coral_block",
  "minecraft:coral_fan", "minecraft:coral_fan_dead", "minecraft:coral_fan_hang", "minecraft:coral_fan_hang2", "minecraft:coral_fan_hang3",
  "minecraft:cow_spawn_egg", "minecraft:cracked_deepslate_bricks", "minecraft:cracked_deepslate_tiles", "minecraft:cracked_nether_bricks",
  "minecraft:cracked_polished_blackstone_bricks", "minecraft:cracked_stone_bricks", "minecraft:crafting_table", "minecraft:crimson_button",
  "minecraft:crimson_door", "minecraft:crimson_fence", "minecraft:crimson_fence_gate", "minecraft:crimson_fungus", "minecraft:crimson_hyphae",
  "minecraft:crimson_nylium", "minecraft:crimson_planks", "minecraft:crimson_pressure_plate", "minecraft:crimson_roots", "minecraft:crimson_sign",
  "minecraft:crimson_slab", "minecraft:crimson_stairs", "minecraft:crimson_stem", "minecraft:crimson_trapdoor", "minecraft:crossed_axes_banner_pattern",
  "minecraft:crossed_bones_banner_pattern", "minecraft:crossed_picks_banner_pattern", "minecraft:crossed_swords_banner_pattern", "minecraft:crying_obsidian",
  "minecraft:cut_copper", "minecraft:cut_copper_slab", "minecraft:cut_copper_stairs", "minecraft:cut_red_sandstone", "minecraft:cut_red_sandstone_slab",
  "minecraft:cut_sandstone", "minecraft:cut_sandstone_slab", "minecraft:cyan_candle",
  "minecraft:cyan_carpet", "minecraft:cyan_concrete", "minecraft:cyan_concrete_powder", "minecraft:cyan_dye", "minecraft:cyan_glazed_terracotta",
  "minecraft:cyan_shulker_box", "minecraft:cyan_stained_glass", "minecraft:cyan_stained_glass_pane", "minecraft:cyan_terracotta", "minecraft:cyan_wool",
  "minecraft:damaged_anvil", "minecraft:dandelion", "minecraft:dark_oak_boat", "minecraft:dark_oak_button", "minecraft:dark_oak_chest_boat",
  "minecraft:dark_oak_door", "minecraft:dark_oak_fence", "minecraft:dark_oak_fence_gate", "minecraft:dark_oak_hanging_sign", "minecraft:dark_oak_log",
  "minecraft:dark_oak_planks", "minecraft:dark_oak_pressure_plate", "minecraft:dark_oak_sign", "minecraft:dark_oak_stairs", "minecraft:dark_oak_trapdoor",
  "minecraft:dark_prismarine", "minecraft:dark_prismarine_slab", "minecraft:dark_prismarine_stairs", "minecraft:daylight_detector",
  "minecraft:dead_brain_coral", "minecraft:dead_brain_coral_block", "minecraft:dead_brain_coral_fan", "minecraft:dead_bubble_coral",
  "minecraft:dead_bubble_coral_block", "minecraft:dead_bubble_coral_fan", "minecraft:deadbush", "minecraft:dead_fire_coral", "minecraft:dead_fire_coral_block",
  "minecraft:dead_fire_coral_fan", "minecraft:dead_horn_coral", "minecraft:dead_horn_coral_block", "minecraft:dead_horn_coral_fan",
  "minecraft:dead_tube_coral", "minecraft:dead_tube_coral_block", "minecraft:dead_tube_coral_fan", "minecraft:deep_copper_ore",
  "minecraft:deepslate", "minecraft:deepslate_brick_slab", "minecraft:deepslate_brick_stairs", "minecraft:deepslate_brick_wall",
  "minecraft:deepslate_bricks", "minecraft:deepslate_coal_ore", "minecraft:deepslate_copper_ore", "minecraft:deepslate_diamond_ore",
  "minecraft:deepslate_emerald_ore", "minecraft:deepslate_gold_ore", "minecraft:deepslate_iron_ore", "minecraft:deepslate_lapis_ore",
  "minecraft:deepslate_redstone_ore", "minecraft:deepslate_tile_slab", "minecraft:deepslate_tile_stairs", "minecraft:deepslate_tile_wall",
  "minecraft:detector_rail", "minecraft:diamond", "minecraft:diamond_axe", "minecraft:diamond_block", "minecraft:diamond_boots", "minecraft:diamond_chestplate",
  "minecraft:diamond_helmet", "minecraft:diamond_hoe", "minecraft:diamond_horse_armor", "minecraft:diamond_leggings", "minecraft:diamond_ore",
  "minecraft:diamond_pickaxe", "minecraft:diamond_shovel", "minecraft:diamond_sword", "minecraft:diamonds_banner_pattern", "minecraft:dirt", "minecraft:dispenser",
  "minecraft:dispenser_minecart", "minecraft:donkey_spawn_egg", "minecraft:double_cut_copper_slab", "minecraft:double_plant", "minecraft:double_stone_slab",
  "minecraft:double_stone_slab2", "minecraft:double_stone_slab3", "minecraft:double_stone_slab4", "minecraft:double_wooden_slab", "minecraft:dragon_breath",
  "minecraft:dragon_egg", "minecraft:dragon_head", "minecraft:dragon_wall_head", "minecraft:dried_kelp", "minecraft:dried_kelp_block", "minecraft:dripstone_block",
  "minecraft:dropper", "minecraft:dropper_minecart", "minecraft:drowned_spawn_egg", "minecraft:egg", "minecraft:elder_guardian_spawn_egg", "minecraft:elytra",
  "minecraft:emerald", "minecraft:emerald_block", "minecraft:emerald_ore", "minecraft:empty_map", "minecraft:enchanted_book", "minecraft:enchanted_golden_apple",
  "minecraft:end_crystal", "minecraft:end_portal_frame", "minecraft:end_rod", "minecraft:end_stone", "minecraft:end_stone_brick_slab", "minecraft:end_stone_brick_stairs",
  "minecraft:end_stone_brick_wall", "minecraft:end_stone_bricks", "minecraft:ender_chest", "minecraft:ender_eye", "minecraft:ender_pearl", "minecraft:enderman_spawn_egg",
  "minecraft:endermite_spawn_egg", "minecraft:evoker_spawn_egg", "minecraft:experience_bottle", "minecraft:exposed_copper", "minecraft:exposed_cut_copper",
  "minecraft:exposed_cut_copper_slab", "minecraft:exposed_cut_copper_stairs", "minecraft:farmland", "minecraft:feather", "minecraft:fermented_spider_eye",
  "minecraft:fern", "minecraft:filled_map", "minecraft:fire_charge", "minecraft:fire_coral", "minecraft:fire_coral_block", "minecraft:fire_coral_fan",
  "minecraft:fire_coral_wall_fan", "minecraft:firework_rocket", "minecraft:firework_star", "minecraft:fishing_rod", "minecraft:flaming_arrow",
  "minecraft:flint", "minecraft:flint_and_steel", "minecraft:flower_banner_pattern", "minecraft:flower_pot", "minecraft:flowering_azalea",
  "minecraft:flowering_azalea_leaves", "minecraft:flowering_azalea_leaves_flowered", "minecraft:flowing_lava", "minecraft:flowing_water",
  "minecraft:fox_spawn_egg", "minecraft:frame", "minecraft:frosted_ice", "minecraft:furnace", "minecraft:furnace_minecart", "minecraft:ghast_spawn_egg",
  "minecraft:ghast_tear", "minecraft:glass", "minecraft:glass_bottle", "minecraft:glass_pane", "minecraft:glistering_melon_slice", "minecraft:globe_banner_pattern",
  "minecraft:glow_berries", "minecraft:glow_ink_sac", "minecraft:glow_lichen", "minecraft:glow_squid_ink_sac", "minecraft:glowstone", "minecraft:glowstone_dust",
  "minecraft:goat_spawn_egg", "minecraft:gold_block", "minecraft:gold_ingot", "minecraft:gold_nugget", "minecraft:gold_ore", "minecraft:golden_apple",
  "minecraft:golden_axe", "minecraft:golden_boots", "minecraft:golden_carrot", "minecraft:golden_chestplate", "minecraft:golden_helmet",
  "minecraft:golden_horse_armor", "minecraft:golden_leggings", "minecraft:golden_pickaxe", "minecraft:golden_shovel", "minecraft:golden_sword",
  "minecraft:golden_war_axe", "minecraft:granite", "minecraft:granite_stairs", "minecraft:grass", "minecraft:grass_block", "minecraft:gravel", "minecraft:gray_candle",
  "minecraft:gray_carpet", "minecraft:gray_concrete", "minecraft:gray_concrete_powder", "minecraft:gray_dye", "minecraft:gray_glazed_terracotta",
  "minecraft:gray_shulker_box", "minecraft:gray_stained_glass", "minecraft:gray_stained_glass_pane", "minecraft:gray_terracotta", "minecraft:gray_wool",
  "minecraft:green_candle", "minecraft:green_carpet", "minecraft:green_concrete", "minecraft:green_concrete_powder", "minecraft:green_dye",
  "minecraft:green_glazed_terracotta", "minecraft:green_shulker_box", "minecraft:green_stained_glass", "minecraft:green_stained_glass_pane",
  "minecraft:green_terracotta", "minecraft:green_wool", "minecraft:grindstone", "minecraft:guardian_spawn_egg", "minecraft:gunpowder", "minecraft:halberd",
  "minecraft:handrail", "minecraft:hardened_clay", "minecraft:hardened_glass", "minecraft:hardened_glass_pane", "minecraft:hardened_iron_ingot",
  "minecraft:hardened_stained_glass", "minecraft:hardened_stained_glass_pane", "minecraft:hardened_stone", "minecraft:hardened_terracotta",
  "minecraft:hardened_yellow_stained_glass", "minecraft:hawk_spawn_egg", "minecraft:hay_block", "minecraft:heart_of_the_sea", "minecraft:heavy_weighted_pressure_plate",
  "minecraft:hedge", "minecraft:hoglin_spawn_egg", "minecraft:honey_block", "minecraft:honey_bottle", "minecraft:honeycomb", "minecraft:hopper",
  "minecraft:hopper_minecart", "minecraft:horn_coral", "minecraft:horn_coral_block", "minecraft:horn_coral_fan", "minecraft:horn_coral_wall_fan",
  "minecraft:horse_spawn_egg", "minecraft:husk_spawn_egg", "minecraft:ice", "minecraft:ice_bomb", "minecraft:iceberg", "minecraft:infested_chiseled_stone_bricks",
  "minecraft:infested_cobblestone", "minecraft:infested_cracked_stone_bricks", "minecraft:infested_deepslate", "minecraft:infested_mossy_stone_bricks",
  "minecraft:infested_stone", "minecraft:infested_stone_bricks", "minecraft:ink_sac", "minecraft:iron_axe", "minecraft:iron_bars", "minecraft:iron_block",
  "minecraft:iron_boots", "minecraft:iron_chestplate", "minecraft:iron_door", "minecraft:iron_helmet", "minecraft:iron_hoe", "minecraft:iron_horse_armor",
  "minecraft:iron_ingot", "minecraft:iron_leggings", "minecraft:iron_nugget", "minecraft:iron_ore", "minecraft:iron_pickaxe", "minecraft:iron_shovel",
  "minecraft:iron_sword", "minecraft:iron_trapdoor", "minecraft:item_frame", "minecraft:item_structure_removal", "minecraft:jack_o_lantern",
  "minecraft:jigsaw", "minecraft:jukebox", "minecraft:jungle_boat", "minecraft:jungle_button", "minecraft:jungle_chest_boat", "minecraft:jungle_door",
  "minecraft:jungle_fence", "minecraft:jungle_fence_gate", "minecraft:jungle_hanging_sign", "minecraft:jungle_log", "minecraft:jungle_planks",
  "minecraft:jungle_pressure_plate", "minecraft:jungle_sign", "minecraft:jungle_stairs", "minecraft:jungle_trapdoor", "minecraft:kelp", "minecraft:ket_pottery_sherd",
  "minecraft:ladder", "minecraft:lantern", "minecraft:lapis_block", "minecraft:lapis_lazuli", "minecraft:lapis_ore", "minecraft:large_amethyst_bud",
  "minecraft:large_fern", "minecraft:large_weighted_pressure_plate", "minecraft:lava", "minecraft:lead", "minecraft:leather", "minecraft:leather_boots",
  "minecraft:leather_chestplate", "minecraft:leather_helmet", "minecraft:leather_horse_armor", "minecraft:leather_leggings", "minecraft:lectern",
  "minecraft:light_blue_candle", "minecraft:light_blue_carpet", "minecraft:light_blue_concrete", "minecraft:light_blue_concrete_powder",
  "minecraft:light_blue_dye", "minecraft:light_blue_glazed_terracotta", "minecraft:light_blue_shulker_box", "minecraft:light_blue_stained_glass",
  "minecraft:light_blue_stained_glass_pane", "minecraft:light_blue_terracotta", "minecraft:light_blue_wool", "minecraft:light_gray_candle",
  "minecraft:light_gray_carpet", "minecraft:light_gray_concrete", "minecraft:light_gray_concrete_powder", "minecraft:light_gray_dye",
  "minecraft:light_gray_glazed_terracotta", "minecraft:light_gray_shulker_box", "minecraft:light_gray_stained_glass", "minecraft:light_gray_stained_glass_pane",
  "minecraft:light_gray_terracotta", "minecraft:light_gray_wool", "minecraft:light_weighted_pressure_plate", "minecraft:lightning_rod",
  "minecraft:lilac", "minecraft:lily_of_the_valley", "minecraft:lily_pad", "minecraft:lime_candle", "minecraft:lime_carpet", "minecraft:lime_concrete",
  "minecraft:lime_concrete_powder", "minecraft:lime_dye", "minecraft:lime_glazed_terracotta", "minecraft:lime_shulker_box", "minecraft:lime_stained_glass",
  "minecraft:lime_stained_glass_pane", "minecraft:lime_terracotta", "minecraft:lime_wool", "minecraft:lingering_potion", "minecraft:llama_spawn_egg",
  "minecraft:lodestone", "minecraft:lodestone_compass", "minecraft:log", "minecraft:loom", "minecraft:magenta_candle", "minecraft:magenta_carpet",
  "minecraft:magenta_concrete", "minecraft:magenta_concrete_powder", "minecraft:magenta_dye", "minecraft:magenta_glazed_terracotta",
  "minecraft:magenta_shulker_box", "minecraft:magenta_stained_glass", "minecraft:magenta_stained_glass_pane", "minecraft:magenta_terracotta",
  "minecraft:magenta_wool", "minecraft:magma_block", "minecraft:magma_cream", "minecraft:magma_cube_spawn_egg", "minecraft:melon",
  "minecraft:melon_block", "minecraft:melon_seeds", "minecraft:melon_slice", "minecraft:minecart", "minecraft:mojang_banner_pattern", "minecraft:mooshroom_spawn_egg",
  "minecraft:moss_block", "minecraft:moss_carpet", "minecraft:mossy_cobblestone", "minecraft:mossy_cobblestone_slab", "minecraft:mossy_cobblestone_stairs",
  "minecraft:mossy_cobblestone_wall", "minecraft:mossy_stone_brick_slab", "minecraft:mossy_stone_brick_stairs", "minecraft:mossy_stone_brick_wall",
  "minecraft:mossy_stone_bricks", "minecraft:mounted_cauldron", "minecraft:mounted_shield", "minecraft:mule_spawn_egg", "minecraft:mushroom_stew",
  "minecraft:music_disc_11", "minecraft:music_disc_13", "minecraft:music_disc_blocks", "minecraft:music_disc_cat", "minecraft:music_disc_chirp",
  "minecraft:music_disc_far", "minecraft:music_disc_mall", "minecraft:music_disc_mellohi", "minecraft:music_disc_pigstep", "minecraft:music_disc_stal",
  "minecraft:music_disc_strad", "minecraft:music_disc_wait", "minecraft:music_disc_ward", "minecraft:mycelium", "minecraft:nautilus_shell",
  "minecraft:nether_brick", "minecraft:nether_brick_fence", "minecraft:nether_brick_slab", "minecraft:nether_brick_stairs", "minecraft:nether_brick_wall",
  "minecraft:nether_bricks", "minecraft:nether_gold_ore", "minecraft:nether_portal", "minecraft:nether_quartz_ore", "minecraft:nether_sprouts",
  "minecraft:nether_star", "minecraft:nether_wart", "minecraft:nether_wart_block", "minecraft:netherite_axe", "minecraft:netherite_block",
  "minecraft:netherite_boots", "minecraft:netherite_chestplate", "minecraft:netherite_helmet", "minecraft:netherite_hoe", "minecraft:netherite_ingot",
  "minecraft:netherite_leggings", "minecraft:netherite_pickaxe", "minecraft:netherite_scrap", "minecraft:netherite_shovel", "minecraft:netherite_sword",
  "minecraft:netherrack", "minecraft:netherite_banner_pattern", "minecraft:note_block", "minecraft:oak_boat", "minecraft:oak_button",
  "minecraft:oak_chest_boat", "minecraft:oak_door", "minecraft:oak_fence", "minecraft:oak_fence_gate", "minecraft:oak_hanging_sign",
  "minecraft:oak_log", "minecraft:oak_planks", "minecraft:oak_pressure_plate", "minecraft:oak_sign", "minecraft:oak_stairs", "minecraft:oak_trapdoor",
  "minecraft:observer", "minecraft:obsidian", "minecraft:ocelot_spawn_egg", "minecraft:orange_candle", "minecraft:orange_carpet", "minecraft:orange_concrete",
  "minecraft:orange_concrete_powder", "minecraft:orange_dye", "minecraft:orange_glazed_terracotta", "minecraft:orange_shulker_box",
  "minecraft:orange_stained_glass", "minecraft:orange_stained_glass_pane", "minecraft:orange_terracotta", "minecraft:orange_tulip",
  "minecraft:orange_wool", "minecraft:oxeye_daisy", "minecraft:oxidized_copper", "minecraft:oxidized_cut_copper", "minecraft:oxidized_cut_copper_slab",
  "minecraft:oxidized_cut_copper_stairs", "minecraft:packed_ice", "minecraft:painting", "minecraft:panda_spawn_egg", "minecraft:paper", "minecraft:parrot_spawn_egg",
  "minecraft:peony", "minecraft:phantom_membrane", "minecraft:phantom_spawn_egg", "minecraft:pickle", "minecraft:pig_spawn_egg", "minecraft:piglin_banner_pattern",
  "minecraft:piglin_brute_spawn_egg", "minecraft:piglin_spawn_egg", "minecraft:pillager_spawn_egg", "minecraft:pink_candle", "minecraft:pink_carpet",
  "minecraft:pink_concrete", "minecraft:pink_concrete_powder", "minecraft:pink_dye", "minecraft:pink_glazed_terracotta", "minecraft:pink_shulker_box",
  "minecraft:pink_stained_glass", "minecraft:pink_stained_glass_pane", "minecraft:pink_terracotta", "minecraft:pink_tulip", "minecraft:pink_wool",
  "minecraft:piston", "minecraft:piston_head", "minecraft:player_head", "minecraft:player_wall_head", "minecraft:podzol", "minecraft:pointed_dripstone",
  "minecraft:poisonous_potato", "minecraft:polar_bear_spawn_egg", "minecraft:polished_andesite", "minecraft:polished_andesite_slab", "minecraft:polished_andesite_stairs",
  "minecraft:polished_basalt", "minecraft:polished_blackstone", "minecraft:polished_blackstone_brick_slab", "minecraft:polished_blackstone_brick_stairs",
  "minecraft:polished_blackstone_brick_wall", "minecraft:polished_blackstone_bricks", "minecraft:polished_blackstone_button", "minecraft:polished_blackstone_pressure_plate",
  "minecraft:polished_blackstone_slab", "minecraft:polished_blackstone_stairs", "minecraft:polished_blackstone_wall", "minecraft:polished_deepslate",
  "minecraft:polished_deepslate_slab", "minecraft:polished_deepslate_stairs", "minecraft:polished_deepslate_wall", "minecraft:polished_diorite",
  "minecraft:polished_diorite_slab", "minecraft:polished_diorite_stairs", "minecraft:polished_granite", "minecraft:polished_granite_slab",
  "minecraft:polished_granite_stairs", "minecraft:poppy", "minecraft:porkchop", "minecraft:potato", "minecraft:potatoes", "minecraft:pottery_sherd",
  "minecraft:powder_snow", "minecraft:powder_snow_bucket", "minecraft:powered_rail", "minecraft:prismarine", "minecraft:prismarine_brick_slab",
  "minecraft:prismarine_brick_stairs", "minecraft:prismarine_bricks", "minecraft:prismarine_crystals", "minecraft:prismarine_shard", "minecraft:prismarine_slab",
  "minecraft:prismarine_stairs", "minecraft:prismarine_wall", "minecraft:puddle", "minecraft:pufferfish", "minecraft:pufferfish_bucket",
  "minecraft:pufferfish_spawn_egg", "minecraft:pumpkin", "minecraft:pumpkin_pie", "minecraft:pumpkin_seeds", "minecraft:purple_candle", "minecraft:purple_carpet",
  "minecraft:purple_concrete", "minecraft:purple_concrete_powder", "minecraft:purple_dye", "minecraft:purple_glazed_terracotta",
  "minecraft:purple_shulker_box", "minecraft:purple_stained_glass", "minecraft:purple_stained_glass_pane", "minecraft:purple_terracotta",
  "minecraft:purple_wool", "minecraft:purpur_block", "minecraft:purpur_pillar", "minecraft:purpur_slab", "minecraft:purpur_stairs",
  "minecraft:quartz", "minecraft:quartz_block", "minecraft:quartz_bricks", "minecraft:quartz_pillar", "minecraft:quartz_slab", "minecraft:quartz_stairs",
  "minecraft:rabbit", "minecraft:rabbit_foot", "minecraft:rabbit_hide", "minecraft:rabbit_spawn_egg", "minecraft:rabbit_stew", "minecraft:rail",
  "minecraft:ravager_spawn_egg", "minecraft:raw_copper", "minecraft:raw_copper_block", "minecraft:raw_gold", "minecraft:raw_gold_block",
  "minecraft:raw_iron", "minecraft:raw_iron_block", "minecraft:red_candle", "minecraft:red_carpet", "minecraft:red_concrete",
  "minecraft:red_concrete_powder", "minecraft:red_dye", "minecraft:red_glazed_terracotta", "minecraft:red_mushroom", "minecraft:red_mushroom_block",
  "minecraft:red_nether_brick_slab", "minecraft:red_nether_brick_stairs", "minecraft:red_nether_brick_wall", "minecraft:red_nether_bricks",
  "minecraft:red_sand", "minecraft:red_sandstone", "minecraft:red_sandstone_slab", "minecraft:red_sandstone_stairs", "minecraft:red_sandstone_wall",
  "minecraft:red_shulker_box", "minecraft:red_stained_glass", "minecraft:red_stained_glass_pane", "minecraft:red_terracotta", "minecraft:red_tulip",
  "minecraft:red_wool", "minecraft:redstone", "minecraft:redstone_block", "minecraft:redstone_lamp", "minecraft:redstone_ore", "minecraft:redstone_torch",
  "minecraft:redstone_wall_torch", "minecraft:redstone_wire", "minecraft:repeater", "minecraft:repeating_command_block", "minecraft:resonating_amber",
  "minecraft:respawn_anchor", "minecraft:rooted_dirt", "minecraft:rose_banner_pattern", "minecraft:rose_bush", "minecraft:rotten_flesh",
  "minecraft:saddle", "minecraft:salmon", "minecraft:salmon_bucket", "minecraft:salmon_spawn_egg", "minecraft:sand", "minecraft:sandstone",
  "minecraft:sandstone_slab", "minecraft:sandstone_stairs", "minecraft:sandstone_wall", "minecraft:scaffolding", "minecraft:sculk_sensor",
  "minecraft:turtle_scute", "minecraft:sea_lantern", "minecraft:sea_pickle", "minecraft:seagrass", "minecraft:shears", "minecraft:sheep_spawn_egg",
  "minecraft:shield", "minecraft:shroomlight", "minecraft:shulker_box", "minecraft:shulker_shell", "minecraft:shulker_spawn_egg",
  "minecraft:silverfish_spawn_egg", "minecraft:skeleton_horse_spawn_egg", "minecraft:skeleton_spawn_egg", "minecraft:skull_banner_pattern",
  "minecraft:slime_ball", "minecraft:slime_block", "minecraft:slime_spawn_egg", "minecraft:small_amethyst_bud", "minecraft:small_dripleaf",
  "minecraft:small_weighted_pressure_plate", "minecraft:smithing_table", "minecraft:smoker", "minecraft:smooth_basalt", "minecraft:smooth_quartz",
  "minecraft:smooth_quartz_slab", "minecraft:smooth_quartz_stairs", "minecraft:smooth_red_sandstone", "minecraft:smooth_red_sandstone_slab",
  "minecraft:smooth_red_sandstone_stairs", "minecraft:smooth_sandstone", "minecraft:smooth_sandstone_slab", "minecraft:smooth_sandstone_stairs",
  "minecraft:smooth_stone", "minecraft:smooth_stone_slab", "minecraft:snow", "minecraft:snow_block", "minecraft:snowball", "minecraft:soul_campfire",
  "minecraft:soul_fire", "minecraft:soul_lantern", "minecraft:soul_sand", "minecraft:soul_soil", "minecraft:soul_torch", "minecraft:soul_wall_torch",
  "minecraft:spawner", "minecraft:spectral_arrow", "minecraft:spider_eye", "minecraft:spider_spawn_egg", "minecraft:splash_potion", "minecraft:sponge",
  "minecraft:spruce_boat", "minecraft:spruce_button", "minecraft:spruce_chest_boat", "minecraft:spruce_door", "minecraft:spruce_fence",
  "minecraft:spruce_fence_gate", "minecraft:spruce_hanging_sign", "minecraft:spruce_log", "minecraft:spruce_planks", "minecraft:spruce_pressure_plate",
  "minecraft:spruce_sign", "minecraft:spruce_stairs", "minecraft:spruce_trapdoor", "minecraft:spruce_wood", "minecraft:squid_spawn_egg", "minecraft:stacked_snow_layer",
  "minecraft:stained_glass", "minecraft:stained_glass_pane", "minecraft:stained_hardened_clay", "minecraft:standing_banner_pattern",
  "minecraft:standing_sign", "minecraft:stick", "minecraft:sticky_piston", "minecraft:stick_banner_pattern", "minecraft:stone", "minecraft:stone_axe",
  "minecraft:stone_brick_slab", "minecraft:stone_brick_stairs", "minecraft:stone_brick_wall", "minecraft:stone_bricks", "minecraft:stone_button",
  "minecraft:stone_hoe", "minecraft:stone_pickaxe", "minecraft:stone_pressure_plate", "minecraft:stone_shovel", "minecraft:stone_slab", "minecraft:stone_stairs",
  "minecraft:stone_sword", "minecraft:stonecutter", "minecraft:stray_spawn_egg", "minecraft:strider_spawn_egg", "minecraft:string", "minecraft:stripped_acacia_log",
  "minecraft:stripped_birch_log", "minecraft:stripped_birch_wood", "minecraft:stripped_crimson_hyphae",
  "minecraft:stripped_crimson_stem", "minecraft:stripped_dark_oak_log", "minecraft:stripped_dark_oak_wood", "minecraft:stripped_jungle_log",
  "minecraft:stripped_jungle_wood", "minecraft:stripped_oak_log", "minecraft:stripped_oak_wood", "minecraft:stripped_spruce_log", "minecraft:stripped_spruce_wood",
  "minecraft:stripped_warped_hyphae", "minecraft:stripped_warped_stem", "minecraft:structure_block", "minecraft:sugar", "minecraft:sugar_cane", "minecraft:sunflower",
  "minecraft:suspicious_stew", "minecraft:sweet_berries", "minecraft:sweet_berry_bush", "minecraft:tall_grass", "minecraft:tall_seagrass",
  "minecraft:target", "minecraft:terracotta", "minecraft:tinted_glass", "minecraft:tnt", "minecraft:tnt_minecart", "minecraft:torch", "minecraft:totem_of_undying",
  "minecraft:trader_llama_spawn_egg", "minecraft:trapped_chest", "minecraft:trident", "minecraft:tripwire_hook", "minecraft:tropical_fish",
  "minecraft:tropical_fish_bucket", "minecraft:tropical_fish_spawn_egg", "minecraft:tuff", "minecraft:turtle_egg", "minecraft:turtle_helmet",
  "minecraft:turtle_spawn_egg", "minecraft:twisting_vines", "minecraft:twisting_vines_plant", "minecraft:underwater_torch", "minecraft:undyed_shulker_box",
  "minecraft:unknown", "minecraft:vex_spawn_egg", "minecraft:villager_spawn_egg", "minecraft:vindicator_spawn_egg", "minecraft:vine",
  "minecraft:wandering_trader_spawn_egg", "minecraft:warped_button", "minecraft:warped_door", "minecraft:warped_fence", "minecraft:warped_fence_gate",
  "minecraft:warped_fungus", "minecraft:warped_fungus_on_a_stick", "minecraft:warped_hyphae", "minecraft:warped_nylium", "minecraft:warped_planks",
  "minecraft:warped_pressure_plate", "minecraft:warped_roots", "minecraft:warped_sign", "minecraft:warped_slab", "minecraft:warped_stairs",
  "minecraft:warped_stem", "minecraft:warped_trapdoor", "minecraft:warped_wall_sign", "minecraft:warped_wart_block", "minecraft:water", "minecraft:water_bucket",
  "minecraft:waxed_copper_block", "minecraft:waxed_cut_copper", "minecraft:waxed_cut_copper_slab", "minecraft:waxed_cut_copper_stairs",
  "minecraft:waxed_exposed_copper", "minecraft:waxed_exposed_cut_copper", "minecraft:waxed_exposed_cut_copper_slab", "minecraft:waxed_exposed_cut_copper_stairs",
  "minecraft:waxed_oxidized_copper", "minecraft:waxed_oxidized_cut_copper", "minecraft:waxed_oxidized_cut_copper_slab",
  "minecraft:waxed_oxidized_cut_copper_stairs", "minecraft:waxed_weathered_copper", "minecraft:waxed_weathered_cut_copper",
  "minecraft:waxed_weathered_cut_copper_slab", "minecraft:waxed_weathered_cut_copper_stairs", "minecraft:weathered_copper", "minecraft:weathered_cut_copper",
  "minecraft:weathered_cut_copper_slab", "minecraft:weathered_cut_copper_stairs", "minecraft:weeping_vines", "minecraft:weeping_vines_plant",
  "minecraft:wheat", "minecraft:wheat_seeds", "minecraft:white_candle", "minecraft:white_carpet", "minecraft:white_concrete", "minecraft:white_concrete_powder",
  "minecraft:white_dye", "minecraft:white_glazed_terracotta", "minecraft:white_shulker_box", "minecraft:white_stained_glass", "minecraft:white_stained_glass_pane",
  "minecraft:white_terracotta", "minecraft:white_wool", "minecraft:wither_rose", "minecraft:wither_skeleton_spawn_egg", "minecraft:wolf_spawn_egg",
  "minecraft:wooden_axe", "minecraft:wooden_hoe", "minecraft:wooden_pickaxe", "minecraft:wooden_shovel", "minecraft:wooden_slab", "minecraft:wooden_sword",
  "minecraft:writable_book", "minecraft:written_book", "minecraft:yellow_candle", "minecraft:yellow_carpet", "minecraft:yellow_concrete",
  "minecraft:yellow_concrete_powder", "minecraft:yellow_dye", "minecraft:yellow_glazed_terracotta", "minecraft:yellow_shulker_box",
  "minecraft:yellow_stained_glass", "minecraft:yellow_stained_glass_pane", "minecraft:yellow_terracotta", "minecraft:yellow_wool", "minecraft:zoglin_spawn_egg",
  "minecraft:zombie_horse_spawn_egg", "minecraft:zombie_spawn_egg", "minecraft:zombie_villager_spawn_egg", "minecraft:zombified_piglin_spawn_egg",
  "minecraft:zombie_banner_pattern", "minecraft:zombie_pigman_spawn_egg", "minecraft:zombie_wall_head", "minecraft:zombified_piglin_banner_pattern",
  "minecraft:zombified_piglin_wall_head", "minecraft:zombified_piglin_spawn_egg"
]
const scoreboardObjectiveId = "Countdown";
const CountdownSaveID = "CountdownSave";
const DistanceSaveID = "DistanceSave";
const scoreboardObjectiveDisplayName = "Item Cooldown";
let MainPlayer = undefined;
let StartGame = false;
let KeepSettings = false;
let TimerSet = 30;
let DistanceSet = 15;

let CooldownBoard = undefined;
let CountdownSave = undefined;
let DistanceSave = undefined;

function getRandomInt(min, max) {
  min = Math.ceil(min);
  max = Math.floor(max);
  return Math.floor(Math.random() * (max - min) + min); //The maximum is exclusive and the minimum is inclusive
}

function SetSpawn(player, Dist) {//Search for an avalible spot for a diffrent player/friend to spawn.
  let FoundSpawn = false
  while (FoundSpawn === false) {
    if (player.dimension.getBlock({ x: Dist, y: 49, z: 0 }).isAir === true) {//PosX

      player.dimension.runCommand("setblock " + Dist + " 49 0 minecraft:bedrock");
      player.setSpawnPoint({ dimension: player.dimension, x: Dist, y: 50, z: 0 });
      player.teleport({ x: Dist, y: 50, z: 0 });
      FoundSpawn = true;
    } else if (player.dimension.getBlock({ x: -Dist, y: 49, z: 0 }).isAir === true) {//NegX

      player.dimension.runCommand("setblock -" + Dist + " 49 0 minecraft:bedrock");
      player.setSpawnPoint({ dimension: player.dimension, x: -Dist, y: 50, z: 0 });
      player.teleport({ x: -Dist, y: 50, z: 0 });
      FoundSpawn = true;
    } else if (player.dimension.getBlock({ x: 0, y: 49, z: Dist }).isAir === true) {//PosZ

      player.dimension.runCommand("setblock 0 49 " + Dist + " minecraft:bedrock");
      player.setSpawnPoint({ dimension: player.dimension, x: 0, y: 50, z: Dist });
      player.teleport({ x: 0, y: 50, z: Dist });
      FoundSpawn = true;
    } else if (player.dimension.getBlock({ x: 0, y: 49, z: -Dist }).isAir === true) {//NegZ

      player.dimension.runCommand("setblock 0 49 -" + Dist + " minecraft:bedrock");
      player.setSpawnPoint({ dimension: player.dimension, x: 0, y: 50, z: -Dist });
      player.teleport({ x: 0, y: 50, z: -Dist });
      FoundSpawn = true;
    } else {
      Dist = Dist + 15;
    };
  }

};

function Initalize(event) {//Event that fires when any player joins.
  MainPlayer = world.getAllPlayers()[0]
  CooldownBoard = world.scoreboard.getObjective(scoreboardObjectiveId);
  if (!StartGame) {//The world is a new world.
    if (!CooldownBoard) {
      MainPlayer.dimension.runCommand("gamemode a " + event.player.name[0])
      event.player.addEffect("slowness", 99999, { amplifier: 99, showParticles: false })

      if (event.player === MainPlayer) {//Gets the player who started the world.
        const inventory = MainPlayer.getComponent("inventory")
        const PlayButton = new ItemStack("minecraft:clock", 1)
        const SettingsButton = new ItemStack("minecraft:recovery_compass", 1)

        PlayButton.nameTag = "§qPlay"
        PlayButton.lockMode = ItemLockMode.slot
        PlayButton.setLore(["PlayButton"])
        SettingsButton.nameTag = "§tSettings"
        SettingsButton.lockMode = ItemLockMode.slot
        SettingsButton.setLore(["SettingsButton"])

        inventory.container.setItem(0, PlayButton);
        inventory.container.setItem(1, SettingsButton);

        MainPlayer.onScreenDisplay.setTitle("§4▂▃▄▅▆▇██▇▆▅▄▃▂", { fadeInDuration: 0, fadeOutDuration: 0, stayDuration: 99999, subtitle: "§0§kO§r§m§lGhostie's Item Randomizer Skyblock 1.0§r§0§kO" })

      } else {//A diffrent player/friend joins the game.
        event.player.onScreenDisplay.setTitle("▂▃▄▅▆▇██▇▆▅▄▃▂", { fadeInDuration: 0, fadeOutDuration: 0, stayDuration: 99999, subtitle: "§0§kO§r§lWaiting for game to start...§r§0§kO" })
      }
    } else {//The world has already been played before.
      if (event.player === MainPlayer) {//Gets the player who started the world.
        CountdownSave = world.scoreboard.getObjective(CountdownSaveID);
        DistanceSave = world.scoreboard.getObjective(DistanceSaveID);

        if (!CountdownSave) {//Data has not been set maybe due to old world but sets it.
          CountdownSave = world.scoreboard.addObjective(CountdownSaveID, "");
          CountdownSave.setScore(MainPlayer, TimerSet);
        }
        if (!DistanceSave) {
          DistanceSave = world.scoreboard.addObjective(DistanceSaveID, "");
          DistanceSave.setScore(MainPlayer, DistanceSet);
        }

        TimerSet = CountdownSave.getScore(MainPlayer);
        DistanceSet = DistanceSave.getScore(MainPlayer);
        StartGame = true;
      } else {
        SetSpawn(event.player, DistanceSet)
      }
    }
  }
}

function Countdown() {//loop every game tick. (20 tps)
  world.getAllPlayers().forEach(function (player) {
    let Timer = undefined;
    if (StartGame === true) {//Starts the loop of randomly generated items.
      Timer = CooldownBoard.getScore(player);
      if (system.currentTick % 20 === 0) {//loop every second.
        if (Timer < 4) {
          player.playSound("block.click", { pitch: 1, volume: 4.0 });
        };
        if (Timer < 1) {//Start giving player random item.
          let ReloadItem = true;
          while (ReloadItem === true) {
            ReloadItem = false;
            const ChosenItem = AllItems[getRandomInt(0, AllItems.length)];
            try {
              player.dimension.spawnItem(new ItemStack(ChosenItem), player.location);
            }
            catch (err) {
              console.warn(ChosenItem + " Is not a bedrock supported item.")
              ReloadItem = true;
            };
          }
          world.playSound("hit.amethyst_block", player.location, { pitch: (getRandomInt(5, 13) * 0.1), volume: 4.0 })
          Timer = TimerSet;
        }
        Timer -= 1;
        CooldownBoard.setScore(player, Timer);
      }
    }
  })
  system.run(Countdown);
}
system.run(Countdown);

function MenuButtons(event) {//The items created when the world is new.
  const inventory = MainPlayer.getComponent("inventory");

  const Settings = new ModalFormData()
    .title("Settings")
    .slider("Cooldown Timer", 3, 100, 1, TimerSet)
    .slider("Friends Spawn Distance", 5, 30, 1, DistanceSet)
    .toggle("Keep Setting Button", KeepSettings);

  if (event.itemStack.getLore()[0] == "PlayButton") {//Start game button.
    CooldownBoard = world.scoreboard.addObjective(scoreboardObjectiveId, scoreboardObjectiveDisplayName);
    CountdownSave = world.scoreboard.addObjective(CountdownSaveID, "");
    DistanceSave = world.scoreboard.addObjective(DistanceSaveID, "");
    CountdownSave.setScore(MainPlayer, TimerSet);
    DistanceSave.setScore(MainPlayer, DistanceSet);

    const scoreboardSetting = { objective: CooldownBoard, sortOrder: ObjectiveSortOrder.descending };
    inventory.container.clearAll();
    if (KeepSettings) {
      const SettingsButton = new ItemStack("minecraft:recovery_compass", 1)
      SettingsButton.nameTag = "§tSettings"
      SettingsButton.lockMode = ItemLockMode.inventory
      SettingsButton.setLore(["SettingsButton", "§l§o§cUse .Settings to give settings if lost.§r"]);
      SettingsButton.keepOnDeath = true;
      inventory.container.setItem(1, SettingsButton);
    }
    world.scoreboard.setObjectiveAtDisplaySlot(DisplaySlotId.Sidebar, scoreboardSetting);
    MainPlayer.dimension.runCommand("gamemode s @a");
    MainPlayer.dimension.runCommand("gamerule doDaylightCycle true");
    MainPlayer.dimension.runCommand("gamerule doWeatherCycle true");

    world.getAllPlayers().forEach(function (player) {
      if (player !== MainPlayer) {
        SetSpawn(player, DistanceSet);
      };
      player.playSound("conduit.activate", { pitch: 2, volume: 4.0 });
      player.onScreenDisplay.setTitle("");
      player.removeEffect("slowness");
      CooldownBoard.setScore(player, TimerSet);
    })
    StartGame = true;
  } else if (event.itemStack.getLore()[0] == "SettingsButton") {//Settings button.
    Settings.show(MainPlayer).then((response) => {
      if (response.canceled) return;

      const TimerValue = response.formValues[0];
      const DistValue = response.formValues[1];
      if (TimerValue !== TimerSet) {
        world.sendMessage("Cooldown set to " + TimerValue + " Seconds by " + event.source.name);
      };
      if (DistValue !== DistanceSet) {
        world.sendMessage("Friends spawn set to " + DistValue + " Blocks by " + event.source.name);
      };
      TimerSet = TimerValue;
      DistanceSet = DistValue;
      KeepSettings = response.formValues[2];
      if (StartGame) {
        CountdownSave.setScore(MainPlayer, TimerSet);
        DistanceSave.setScore(MainPlayer, DistanceSet);
      }

    });
  };
};

//function PlacedBlock(event) {//Detects when any block is placed.
  //console.warn(event.block.typeId)
  //if (event.itemStack.getLore()) {
    //if (event.itemStack.getLore()[0] == "SettingsButton") {
      //event.cancel = true
    //} else if (!StartGame) {
      //event.cancel = true
    //}
  //}
//};

function Command(event) {
  if (event.sender === MainPlayer) {
    if (event.message.toLowerCase() === ".settings") {
      const SettingsButton = new ItemStack("minecraft:recovery_compass", 1)
      SettingsButton.nameTag = "§tSettings"
      SettingsButton.lockMode = ItemLockMode.inventory
      SettingsButton.setLore(["SettingsButton", "§l§o§cUse .Settings to give settings if lost.§r"]);
      SettingsButton.keepOnDeath = true;
      event.sender.dimension.spawnItem(SettingsButton, event.sender.location)
    }
  }
}

//world.beforeEvents.playerPlaceBlock.subscribe(PlacedBlock);
world.afterEvents.chatSend.subscribe(Command);
world.afterEvents.itemUse.subscribe(MenuButtons);
world.afterEvents.playerSpawn.subscribe(Initalize);